# Generated by Django 2.2.4 on 2021-03-01 21:29

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Interest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(blank=True, unique=True)),
                ('title', models.CharField(db_index=True, max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='PrivacyPolicy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50)),
                ('version', models.CharField(max_length=20)),
                ('body', models.TextField(max_length=20000)),
                ('current_version', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(blank=True, max_length=150, unique=True)),
                ('body', models.TextField(blank=True, db_index=True, verbose_name='Write your post')),
                ('date_time', models.DateTimeField(auto_now_add=True)),
                ('image', models.ImageField(blank=True, upload_to='users_uploads/posts_images', verbose_name='Upload a picture for your post')),
                ('interests', models.ManyToManyField(blank=True, related_name='posts', to='common.Interest', verbose_name='Choose interests for your post')),
            ],
            options={
                'ordering': ('-date_time',),
            },
        ),
    ]
